JPEGHOTP(1)

NAME
jpeghotp - trouve les pixels chauds ou morts dans une image JPEG qui, autrement, serait ou blanche noire

SYNOPSIS
jpeghotp [OPTION]... FICHIER-JPEG [FICHIER-BLOCS-PIXELS]

DESCRIPTION
Jpeghotp trouve automatiquement les pixels chauds dans une image JPEG, autrement noire (défaut), ou les pixels morts dans une image JPEG, autrement blanche (si l'option --invert a été choisie). Le résultat est utilisable par le programme jpegpixi(1) en tant que fichier de spécification des blocs de pixels. Une application typique est de réaliser une image prise avec une caméra numérique qui a des défauts.

Pour obtenir une image noire, prendre une photo dans le noir absolu ou avec le bouchon d'objectif. Pour obtenir une image blanche, prendre une photo surexposée d'une feuille de papier blanche bien éclairée.

FICHIER-JPEG est le nom du fichier de l'image JPEG à lire. Il peut être -, qui réfère à l'entrée standard.

FICHIER-BLOCS-PIXELS est le nom du fichier dans lequel sont écrites les coordonnées et les tailles des blocs de pixels chauds (ou morts). S'il est omis, les coordonnées et les tailles sont écrites sur la sortie standard.

OPTIONS

-t SEUIL, --threshold=SEUIL
    Spécifie le seuil entre le bruit et le signal. Les luminosités des pixels en dessous du seuil sont considérées comme du bruit et celles au dessus comme des pixels chauds. SEUIL doit être un nombre entre 0 et 100 suivi par un caratère pourcent (%). Le défaut est 10%.

-i, --invert
    Inverse l'image. Si cette option est spécifiée, les pixels morts sont trouvés dans une image qui serait autrement blanche au lieu des pixels chauds dans une image noire.

-c, --comments
    Fournit les commentaires avec les luminosités des blocs de pixels. Ce peut être utile pour affiner le fichier des bocs de pixels à la main.

--help
    Affiche un court texte d'aide et sort immédiatement.

--version
    Affiche l'information sur la version et sort immédiatement.

BUGS
Merci de faire parvenir les rapports de bug en anglais à : <martin-jpegpixi@zero-based.org>.

COPYRIGHT
Copyright © 2003, 2004, 2005 Martin Dickopp

Traduction française par : Copyright © 2004, 2005 Stephan Peccini

Jpeghopt est libre; voir les sources pour les conditions de reproduction. AUCUNE garantie n'est donnée, tant pour des raisons COMMERCIALES que pour RÉPONDRE À UN BESOIN PARTICULIER.

VOIR AUSSI
jpegpixi(1)

The jpegpixi homepage: http://www.zero-based.org/software/jpegpixi/